2019-08-21 23:09 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005956Spring engineGeneralpublic2018-09-01 02:15
ReporterFloris 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0005956: Windows 10 Pro users have inverted mouse camera panning
Descriptionever since a windows 10 update months ago. (after version 1709)

Bluestone said its some SDL issue. And a quic ksearch results in other software experiencing this as well

I myself have this as well and am using zooming to move my camera around :/
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files
  • txt file icon infolog.txt (71,695 bytes) 2018-04-13 11:14 -
    Using writeable configuration source: "C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\springsettings.cfg"
    Using additional read-only configuration source: "C:\Users\Flowris\Documents\My Games\Spring\springsettings.cfg"
    Available log sections: GroundMoveType, Texture, AutohostInterface, Path, BumpWater, Shader, KeyBindings, DecalsDrawerGL4, Sound, Piece, CSMFGroundTextures, Net, ModelRenderContainer, GameServer, SkyBox, VFS, Model, DynWater, RoamMeshDrawer, FarTextureHandler, CregSerializer, ArchiveScanner, Font, LuaSocket
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    ============== <User Config> ==============
      AdvSky = 1
      AllowDeferredMapRendering = 1
      AllowDeferredModelRendering = 1
      BumpWaterAnisotropy = 4
      BumpWaterTexSizeReflection = 256
      CamMode = 1
      CrossAlpha = 0
      FSAALevel = 4
      FullscreenEdgeMove = 0
      GrassDetail = 0
      GroundDecals = 2
      GroundDetail = 180
      GroundScarAlphaFade = 1
      HardwareCursor = 1
      InputTextGeo = 0.26 0.73 0.02 0.028
      LastSelectedMap = Tropical
      LastSelectedMod = Balanced Annihilation $VERSION
      LastSelectedScript = Player vs. AI: NullAI 0.1
      LastSelectedSetting = WindowPosX
      MaxParticles = 20000
      ScreenshotCounter = 758
      ScrollWheelSpeed = 18
      ShadowMapSize = 6144
      Shadows = 1
      ShowFPS = 1
      ShowPlayerInfo = 0
      ShowSpeed = 1
      TreeRadius = 800
      UnitIconDist = 800
      UnitLodDist = 10000
      UseNetMessageSmoothingBuffer = 0
      UsePBO = 0
      Water = 4
      WindowBorderless = 1
      WindowPosX = -12
      WindowPosY = -12
      WindowedEdgeMove = 0
      XResolutionWindowed = 3840
      YResolutionWindowed = 2160
      snd_volbattle = 20
      snd_volmaster = 0
      snd_volmusic = 0
      snd_volunitreply = 34
    ============== </User Config> ==============
    ============== <User System> ==============
      Spring 104.0.1-399-ga506a03 maintenance
        Build Environment: boost-105500, GNU libstdc++ version 20130531
         Compiler Version: gcc-4.8.1
         Operating System: Microsoft Windows
    Microsoft Business Edition, 64-bit (build 9200)
    Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz; 16350MB RAM, 18782MB pagefile
         Binary Word Size: 32-bit (emulated)
         Deque Chunk Size: 128
            Process Clock: std::chrono::high_resolution_clock
       Physical CPU Cores: 4
        Logical CPU Cores: 8
    ============== </User System> ==============
    [good_fpu_init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    [WatchDogInstall] Installed (HangTimeout: 10sec)
    [WatchDog::RegisterThread] registering controls for thread [main]
    [GL::CheckAvailableVideoModes] desktop={3840x2160x24bpp@60Hz} current={3840x2160x24bpp@60Hz}
    	display=1 modes=44 bounds={x=0, y=0, w=3840, h=2160}
    		[ 1] 3840x2160x24bpp@60Hz
    		[ 3] 2560x1600x24bpp@60Hz
    		[ 5] 2560x1440x24bpp@60Hz
    		[11] 1920x1200x24bpp@60Hz
    		[13] 1920x1080x24bpp@60Hz
    		[17] 1680x1050x24bpp@60Hz
    		[21] 1600x1024x24bpp@60Hz
    		[23] 1600x900x24bpp@60Hz
    		[26] 1360x765x24bpp@60Hz
    		[29] 1280x800x24bpp@60Hz
    		[31] 1280x720x24bpp@60Hz
    	display=2 modes=55 bounds={x=3840, y=720, w=2560, h=1440}
    		[ 1] 2560x1440x24bpp@60Hz
    		[ 5] 1920x1200x24bpp@60Hz
    		[ 6] 1920x1080x24bpp@60Hz
    		[17] 1680x1050x24bpp@60Hz
    		[20] 1600x1024x24bpp@60Hz
    		[22] 1600x900x24bpp@60Hz
    		[28] 1360x765x24bpp@60Hz
    		[34] 1280x800x24bpp@75Hz
    		[38] 1280x720x24bpp@60Hz
    	display=3 modes=59 bounds={x=1000, y=2160, w=1920, h=1080}
    		[ 1] 1920x1080x24bpp@60Hz
    		[10] 1680x1050x24bpp@60Hz
    		[16] 1600x1024x24bpp@60Hz
    		[22] 1600x900x24bpp@60Hz
    		[40] 1360x765x24bpp@60Hz
    		[43] 1280x800x24bpp@60Hz
    		[45] 1280x720x24bpp@60Hz
    [GR::CreateSDLWindow] using 4x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for main window
    [GR::CreateSDLWindow] using 4x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for hidden window
    [GR::LogVersionInfo]
    	SDL version : 2.0.8 (linked) / 2.0.8 (compiled)
    	GL version  : 4.6.0 NVIDIA 388.31
    	GL vendor   : NVIDIA Corporation
    	GL renderer : GeForce GTX 970/PCIe/SSE2
    	GLSL version: 4.60 NVIDIA
    	GLEW version: 2.1.0
    	GPU memory  : 4096MB (total) / 2254MB (available)
    	SDL swap-int: 1
    	
    	ARB shader support        : 1
    	GLSL shader support       : 1
    	FBO extension support     : 1
    	NVX GPU mem-info support  : 1
    	ATI GPU mem-info support  : 0
    	NPOT-texture support      : 1 (1)
    	texture query-LOD support : 1 (1)
    	24-bit Z-buffer support   : 1 (-)
    	primitive-restart support : 1 (1)
    	clip-space control support: 1 (1)
    	frag-depth layout support : 1 (-)
    	
    	max. FBO samples             : 32
    	max. texture size            : 16384
    	max. texture anisotropy level: 16.000000
    	max. vec4 varyings/attributes: 31/16
    	max. draw-buffers            : 8
    	max. rec. indices/vertices   : 1048576/1048576
    	max. uniform buffer-bindings : 84
    	max. uniform block-size      : 64KB
    	
    	enable ATI-hacks : 0
    	compress MIP-maps: 0
    [GR::ToggleGLDebugOutput] OpenGL debug-context not installed (dbgErrors=0 dbgTraces=0)
    [VSync::SetInterval] interval=0 (disabled)
    [GR::LogDisplayMode] display-mode set to 3840x2160x24bpp@60Hz (fullscreen::borderless)
    [WatchDog::RegisterThread] registering controls for thread [vfsi]
    [DataDirLocater::Check] Portable Mode!
    Using read-write data directory: C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\
    Using read-only data directory: C:\Users\Flowris\Documents\My Games\Spring\
    Scanning: C:\Users\Flowris\Documents\My Games\Spring\maps
    Scanning: C:\Users\Flowris\Documents\My Games\Spring\games
    Scanning: C:\Users\Flowris\Documents\My Games\Spring\packages
    Scanning: C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\base
    [~CPoolArchive] name="C:\Users\Flowris\Documents\My Games\Spring\packages\fc74c9717caa784c4b89a338075b90db.sdp" numZipFiles=8850 sumInflSize=337082kb sumReadTime=3ms
    	file="modinfo.lua" indx=3152 inflSize=0kb readTime=3ms
    	file="anims/bar/cursorattack_1.png" indx=4 inflSize=1kb readTime=0ms
    	file="anims/bar/cursorattack_13.png" indx=8 inflSize=1kb readTime=0ms
    	file="anims/bar/cursorattack_14.png" indx=9 inflSize=1kb readTime=0ms
    	file="anims/bar/cursorattack_12.png" indx=7 inflSize=1kb readTime=0ms
    	file="anims/bar/cursorattack_0.png" indx=3 inflSize=1kb readTime=0ms
    	file=".gitignore" indx=1 inflSize=0kb readTime=0ms
    	file="anims/bar/cursorattack_10.png" indx=5 inflSize=1kb readTime=0ms
    	file=".gitattributes" indx=0 inflSize=0kb readTime=0ms
    	file="anims/bar/cursorattack.txt" indx=2 inflSize=0kb readTime=0ms
    [~ScopedOnceTimer][CArchiveScanner::ScanAllDirs] 93ms
    [WatchDog::DeregisterThread] deregistering controls for thread [vfsi]
    [ThreadPool::SetThreadCount][1] wanted=3 current=1 maximum=4 (init=1)
    [ThreadPool::SetThreadCount][2] workers=2
    [Threading] Main thread CPU affinity mask set: 252
    [f=-000001] [~ScopedOnceTimer][ISound::Init::New] 0ms
    [f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (0.0ms)
    [f=-000001] [Sound] [Sound::UpdateThread][1] cfgMaxSounds=128
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [audio]
    [f=-000001] [Sound] [Sound::InitThread][1]
    [f=-000001] [Sound] [Sound::OpenLoopbackDevice] opening default device
    [f=-000001] [Sound] [Sound::OpenLoopbackDevice] unhandled SDL format: 0x8120
    [f=-000001] [Sound] [Sound::Cleanup][SDL_CloseAudioDevice(2)]
    [f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (100.4ms)
    [f=-000001] [Sound] [Sound::OpenOpenALDevice] opening default device "OpenAL Soft"
    [f=-000001] [Sound] [Sound::OpenOpenALDevice] device=0746c730 context=07415c80
    [f=-000001] [Sound] [Sound::InitThread][4][OpenAL API Info]
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound]   Devices:
    [f=-000001] [Sound]     [Speakers (High Definition Audio Device)]
    [f=-000001] [Sound]     [Speakers (High Definition Audio Device)]
    [f=-000001] [Sound]     [Digital Audio (S/PDIF) (High Definition Audio Device)]
    [f=-000001] [Sound]     [Speakers (Samson C01U Pro Mic)]
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] #attribs=15
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] {cfg,alc}MaxSounds={128,255}
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound] [Sound::UpdateThread][2]
    [f=-000001] [~ScopedOnceTimer][ISound::Init::Dev] 200ms
    [f=-000001] Warning: [Watchdog] Hang detection triggered for Spring 104.0.1-399-ga506a03 maintenance.
    [f=-000001] Warning: 	(in threads: {main,load,audio,vfsi}={1,0,0,0})
    [f=-000001] Warning: DLL information:
    [f=-000001] Error: 0x00400000	spring
    [f=-000001] Error: 0x772c0000	ntdll
    [f=-000001] Error: 0x73d00000	KERNEL32
    [f=-000001] Error: 0x74170000	KERNELBASE
    [f=-000001] Error: 0x77090000	ADVAPI32
    [f=-000001] Error: 0x767a0000	msvcrt
    [f=-000001] Error: 0x74660000	sechost
    [f=-000001] Error: 0x768d0000	RPCRT4
    [f=-000001] Error: 0x73ce0000	SspiCli
    [f=-000001] Error: 0x73cd0000	CRYPTBASE
    [f=-000001] Error: 0x75bb0000	bcryptPrimitives
    [f=-000001] Error: 0x75c30000	IMAGEHLP
    [f=-000001] Error: 0x746b0000	ucrtbase
    [f=-000001] Error: 0x74830000	SHELL32
    [f=-000001] Error: 0x5f880000	GLU32
    [f=-000001] Error: 0x76860000	cfgmgr32
    [f=-000001] Error: 0x75c50000	USER32
    [f=-000001] Error: 0x5f7a0000	OPENGL32
    [f=-000001] Error: 0x75c10000	win32u
    [f=-000001] Error: 0x74530000	shcore
    [f=-000001] Error: 0x768a0000	GDI32
    [f=-000001] Error: 0x75dd0000	gdi32full
    [f=-000001] Error: 0x73f20000	combase
    [f=-000001] Error: 0x76e20000	msvcp_win
    [f=-000001] Error: 0x76160000	windows.storage
    [f=-000001] Error: 0x76ec0000	shlwapi
    [f=-000001] Error: 0x77080000	kernel.appcore
    [f=-000001] Error: 0x744e0000	powrprof
    [f=-000001] Error: 0x76ea0000	profapi
    [f=-000001] Error: 0x73eb0000	WS2_32
    [f=-000001] Error: 0x10000000	DevIL
    [f=-000001] Error: 0x62e80000	zlib1
    [f=-000001] Error: 0x6b5c0000	libvorbisfile-3
    [f=-000001] Error: 0x6b800000	OpenAL32
    [f=-000001] Error: 0x743e0000	ole32
    [f=-000001] Error: 0x70e40000	libfreetype-6
    [f=-000001] Error: 0x5f710000	MSVCP80
    [f=-000001] Error: 0x5f670000	MSVCR80
    [f=-000001] Error: 0x65180000	libfontconfig-1
    [f=-000001] Error: 0x6ef80000	glew32
    [f=-000001] Error: 0x72030000	WINMM
    [f=-000001] Error: 0x6c740000	SDL2
    [f=-000001] Error: 0x75b80000	IMM32
    [f=-000001] Error: 0x745c0000	OLEAUT32
    [f=-000001] Error: 0x72000000	WINMMBASE
    [f=-000001] Error: 0x6d740000	libvorbis-0
    [f=-000001] Error: 0x73830000	VERSION
    [f=-000001] Error: 0x70880000	libogg-0
    [f=-000001] Error: 0x68f40000	libexpat-1
    [f=-000001] Error: 0x724d0000	nvapi
    [f=-000001] Error: 0x769f0000	SETUPAPI
    [f=-000001] Error: 0x72f00000	dxgi
    [f=-000001] Error: 0x73560000	uxtheme
    [f=-000001] Error: 0x75f30000	MSCTF
    [f=-000001] Error: 0x08520000	tiptsf
    [f=-000001] Error: 0x58da0000	nvoglv32
    [f=-000001] Error: 0x728e0000	WTSAPI32
    [f=-000001] Error: 0x71cf0000	DEVOBJ
    [f=-000001] Error: 0x73e60000	WINTRUST
    [f=-000001] Error: 0x77120000	MSASN1
    [f=-000001] Error: 0x77130000	CRYPT32
    [f=-000001] Error: 0x71b20000	ntmarta
    [f=-000001] Error: 0x72c60000	dwmapi
    [f=-000001] Error: 0x6f400000	nvspcap
    [f=-000001] Error: 0x717c0000	WINSTA
    [f=-000001] Error: 0x74350000	clbcatq
    [f=-000001] Error: 0x63dc0000	TextInputFramework
    [f=-000001] Error: 0x6dbb0000	CoreUIComponents
    [f=-000001] Error: 0x6ddf0000	CoreMessaging
    [f=-000001] Error: 0x6f590000	wintypes
    [f=-000001] Error: 0x6de80000	uiautomationcore
    [f=-000001] Error: 0x737a0000	sxs
    [f=-000001] Error: 0x6e4f0000	OLEACC
    [f=-000001] Error: 0x63b50000	twinapi
    [f=-000001] Error: 0x6fc60000	twinapi.appcore
    [f=-000001] Error: 0x713b0000	RMCLIENT
    [f=-000001] Error: 0x72170000	bcrypt
    [f=-000001] Error: 0x600e0000	shfolder
    [f=-000001] Error: 0x6f8c0000	MMDevApi
    [f=-000001] Error: 0x718e0000	PROPSYS
    [f=-000001] Error: 0x6f8b0000	avrt
    [f=-000001] Error: 0x6f300000	AUDIOSES
    [f=-000001] Error: 0x5f5f0000	dsound
    [f=-000001] Error: 0x156d0000	dbghelp
    [f=-000001] Warning: Stacktrace (main) for Spring 104.0.1-399-ga506a03 maintenance:
    [f=-000001] Warning: 	[ProgCtr=7732ed7c StackPtr=018bf180 FramePtr=018bf250]
    [f=-000001] Warning: 	(0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0006ED7C]
    [f=-000001] Warning: 	(1) C:\WINDOWS\System32\KERNELBASE.dll [0x000F197E]
    [f=-000001] Warning: 	(2) C:\WINDOWS\System32\KERNELBASE.dll [0x0010F021]
    [f=-000001] Warning: 	(3) C:\WINDOWS\System32\msvcrt.dll [0x0004B231]
    [f=-000001] Warning: 	(4) C:\WINDOWS\System32\msvcrt.dll [0x0004AF2A]
    [f=-000001] Warning: 	(5) C:\WINDOWS\System32\msvcrt.dll [0x0004AFAB]
    [f=-000001] Warning: 	(6) C:\WINDOWS\System32\msvcrt.dll [0x00080D49]
    [f=-000001] Warning: 	(7) C:\WINDOWS\System32\msvcrt.dll [0x000732BF]
    [f=-000001] Warning: 	(8) C:\WINDOWS\System32\msvcrt.dll [0x00073302]
    [f=-000001] Warning: 	(9) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00D1A1D0]
    [f=-000001] Warning: 	(10) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00934EAF]
    [f=-000001] Warning: 	(11) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x0088536F]
    [f=-000001] Warning: 	(12) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x007E5020]
    [f=-000001] Warning: 	(13) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x007E54CB]
    [f=-000001] Warning: 	(14) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x007E664C]
    [f=-000001] Warning: 	(15) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x007DFD84]
    [f=-000001] Warning: 	(16) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00830838]
    [f=-000001] Warning: 	(17) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00830FC3]
    [f=-000001] Warning: 	(18) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00831AD7]
    [f=-000001] Warning: 	(19) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00832183]
    [f=-000001] Warning: 	(20) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x0081A233]
    [f=-000001] Warning: 	(21) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00E3A3EB]
    [f=-000001] Warning: 	(22) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00401402]
    [f=-000001] Warning: 	(23) C:\WINDOWS\System32\KERNEL32.DLL [0x00018654]
    [f=-000001] Warning: 	(24) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064B17]
    [f=-000001] Warning: 	(25) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064AE7]
    [f=-000001] Warning: Stacktrace (audio) for Spring 104.0.1-399-ga506a03 maintenance:
    [f=-000001] Warning: 	[ProgCtr=7732eb6c StackPtr=10f9fda4 FramePtr=10f9fe08]
    [f=-000001] Warning: 	(0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0006EB6C]
    [f=-000001] Warning: 	(1) C:\WINDOWS\System32\KERNELBASE.dll [0x00105EAF]
    [f=-000001] Warning: 	(2) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x008F0E66]
    [f=-000001] Warning: 	(3) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00D38207]
    [f=-000001] Warning: 	(4) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00D67073]
    [f=-000001] Warning: 	(5) C:\WINDOWS\System32\msvcrt.dll [0x000668B1]
    [f=-000001] Warning: 	(6) C:\WINDOWS\System32\KERNEL32.DLL [0x00018654]
    [f=-000001] Warning: 	(7) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064B17]
    [f=-000001] Warning: 	(8) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064AE7]
    [f=-000001] Warning: [Watchdog] Hang detection triggered for Spring 104.0.1-399-ga506a03 maintenance.
    [f=-000001] Warning: 	(in threads: {main,load,audio,vfsi}={1,0,0,0})
    [f=-000001] Warning: DLL information:
    [f=-000001] Error: 0x00400000	spring
    [f=-000001] Error: 0x772c0000	ntdll
    [f=-000001] Error: 0x73d00000	KERNEL32
    [f=-000001] Error: 0x74170000	KERNELBASE
    [f=-000001] Error: 0x77090000	ADVAPI32
    [f=-000001] Error: 0x767a0000	msvcrt
    [f=-000001] Error: 0x74660000	sechost
    [f=-000001] Error: 0x768d0000	RPCRT4
    [f=-000001] Error: 0x73ce0000	SspiCli
    [f=-000001] Error: 0x73cd0000	CRYPTBASE
    [f=-000001] Error: 0x75bb0000	bcryptPrimitives
    [f=-000001] Error: 0x75c30000	IMAGEHLP
    [f=-000001] Error: 0x746b0000	ucrtbase
    [f=-000001] Error: 0x74830000	SHELL32
    [f=-000001] Error: 0x5f880000	GLU32
    [f=-000001] Error: 0x76860000	cfgmgr32
    [f=-000001] Error: 0x75c50000	USER32
    [f=-000001] Error: 0x5f7a0000	OPENGL32
    [f=-000001] Error: 0x75c10000	win32u
    [f=-000001] Error: 0x74530000	shcore
    [f=-000001] Error: 0x768a0000	GDI32
    [f=-000001] Error: 0x75dd0000	gdi32full
    [f=-000001] Error: 0x73f20000	combase
    [f=-000001] Error: 0x76e20000	msvcp_win
    [f=-000001] Error: 0x76160000	windows.storage
    [f=-000001] Error: 0x76ec0000	shlwapi
    [f=-000001] Error: 0x77080000	kernel.appcore
    [f=-000001] Error: 0x744e0000	powrprof
    [f=-000001] Error: 0x76ea0000	profapi
    [f=-000001] Error: 0x73eb0000	WS2_32
    [f=-000001] Error: 0x10000000	DevIL
    [f=-000001] Error: 0x62e80000	zlib1
    [f=-000001] Error: 0x6b5c0000	libvorbisfile-3
    [f=-000001] Error: 0x6b800000	OpenAL32
    [f=-000001] Error: 0x743e0000	ole32
    [f=-000001] Error: 0x70e40000	libfreetype-6
    [f=-000001] Error: 0x5f710000	MSVCP80
    [f=-000001] Error: 0x5f670000	MSVCR80
    [f=-000001] Error: 0x65180000	libfontconfig-1
    [f=-000001] Error: 0x6ef80000	glew32
    [f=-000001] Error: 0x72030000	WINMM
    [f=-000001] Error: 0x6c740000	SDL2
    [f=-000001] Error: 0x75b80000	IMM32
    [f=-000001] Error: 0x745c0000	OLEAUT32
    [f=-000001] Error: 0x72000000	WINMMBASE
    [f=-000001] Error: 0x6d740000	libvorbis-0
    [f=-000001] Error: 0x73830000	VERSION
    [f=-000001] Error: 0x70880000	libogg-0
    [f=-000001] Error: 0x68f40000	libexpat-1
    [f=-000001] Error: 0x724d0000	nvapi
    [f=-000001] Error: 0x769f0000	SETUPAPI
    [f=-000001] Error: 0x72f00000	dxgi
    [f=-000001] Error: 0x73560000	uxtheme
    [f=-000001] Error: 0x75f30000	MSCTF
    [f=-000001] Error: 0x08520000	tiptsf
    [f=-000001] Error: 0x58da0000	nvoglv32
    [f=-000001] Error: 0x728e0000	WTSAPI32
    [f=-000001] Error: 0x71cf0000	DEVOBJ
    [f=-000001] Error: 0x73e60000	WINTRUST
    [f=-000001] Error: 0x77120000	MSASN1
    [f=-000001] Error: 0x77130000	CRYPT32
    [f=-000001] Error: 0x71b20000	ntmarta
    [f=-000001] Error: 0x72c60000	dwmapi
    [f=-000001] Error: 0x6f400000	nvspcap
    [f=-000001] Error: 0x717c0000	WINSTA
    [f=-000001] Error: 0x74350000	clbcatq
    [f=-000001] Error: 0x63dc0000	TextInputFramework
    [f=-000001] Error: 0x6dbb0000	CoreUIComponents
    [f=-000001] Error: 0x6ddf0000	CoreMessaging
    [f=-000001] Error: 0x6f590000	wintypes
    [f=-000001] Error: 0x6de80000	uiautomationcore
    [f=-000001] Error: 0x737a0000	sxs
    [f=-000001] Error: 0x6e4f0000	OLEACC
    [f=-000001] Error: 0x63b50000	twinapi
    [f=-000001] Error: 0x6fc60000	twinapi.appcore
    [f=-000001] Error: 0x713b0000	RMCLIENT
    [f=-000001] Error: 0x72170000	bcrypt
    [f=-000001] Error: 0x600e0000	shfolder
    [f=-000001] Error: 0x6f8c0000	MMDevApi
    [f=-000001] Error: 0x718e0000	PROPSYS
    [f=-000001] Error: 0x6f8b0000	avrt
    [f=-000001] Error: 0x6f300000	AUDIOSES
    [f=-000001] Error: 0x5f5f0000	dsound
    [f=-000001] Error: 0x156d0000	dbghelp
    [f=-000001] Warning: Stacktrace (main) for Spring 104.0.1-399-ga506a03 maintenance:
    [f=-000001] Warning: 	[ProgCtr=7732ed7c StackPtr=018bf180 FramePtr=018bf250]
    [f=-000001] Warning: 	(0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0006ED7C]
    [f=-000001] Warning: 	(1) C:\WINDOWS\System32\KERNELBASE.dll [0x000F197E]
    [f=-000001] Warning: 	(2) C:\WINDOWS\System32\KERNELBASE.dll [0x0010F021]
    [f=-000001] Warning: 	(3) C:\WINDOWS\System32\msvcrt.dll [0x0004B231]
    [f=-000001] Warning: 	(4) C:\WINDOWS\System32\msvcrt.dll [0x0004AF2A]
    [f=-000001] Warning: 	(5) C:\WINDOWS\System32\msvcrt.dll [0x0004AFAB]
    [f=-000001] Warning: 	(6) C:\WINDOWS\System32\msvcrt.dll [0x00080D49]
    [f=-000001] Warning: 	(7) C:\WINDOWS\System32\msvcrt.dll [0x000732BF]
    [f=-000001] Warning: 	(8) C:\WINDOWS\System32\msvcrt.dll [0x00073302]
    [f=-000001] Warning: 	(9) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00D1A1D0]
    [f=-000001] Warning: 	(10) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00934EAF]
    [f=-000001] Warning: 	(11) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x0088536F]
    [f=-000001] Warning: 	(12) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x007E5020]
    [f=-000001] Warning: 	(13) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x007E54CB]
    [f=-000001] Warning: 	(14) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x007E664C]
    [f=-000001] Warning: 	(15) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x007DFD84]
    [f=-000001] Warning: 	(16) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00830838]
    [f=-000001] Warning: 	(17) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00830FC3]
    [f=-000001] Warning: 	(18) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00831AD7]
    [f=-000001] Warning: 	(19) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00832183]
    [f=-000001] Warning: 	(20) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x0081A233]
    [f=-000001] Warning: 	(21) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00E3A3EB]
    [f=-000001] Warning: 	(22) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00401402]
    [f=-000001] Warning: 	(23) C:\WINDOWS\System32\KERNEL32.DLL [0x00018654]
    [f=-000001] Warning: 	(24) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064B17]
    [f=-000001] Warning: 	(25) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064AE7]
    [f=-000001] Warning: Stacktrace (audio) for Spring 104.0.1-399-ga506a03 maintenance:
    [f=-000001] Warning: 	[ProgCtr=7732eb6c StackPtr=10f9fda4 FramePtr=10f9fe08]
    [f=-000001] Warning: 	(0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0006EB6C]
    [f=-000001] Warning: 	(1) C:\WINDOWS\System32\KERNELBASE.dll [0x00105EAF]
    [f=-000001] Warning: 	(2) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x008F0E66]
    [f=-000001] Warning: 	(3) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00D38207]
    [f=-000001] Warning: 	(4) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\spring.exe [0x00D67073]
    [f=-000001] Warning: 	(5) C:\WINDOWS\System32\msvcrt.dll [0x000668B1]
    [f=-000001] Warning: 	(6) C:\WINDOWS\System32\KERNEL32.DLL [0x00018654]
    [f=-000001] Warning: 	(7) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064B17]
    [f=-000001] Warning: 	(8) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064AE7]
    [f=-000001] [GR::LogDisplayMode] display-mode set to 3840x2160x24bpp@60Hz (fullscreen::borderless)
    [f=-000001] [CPreGame] server using IP localhost and port 8452
    [f=-000001] [NetProto::InitLocalClient] connecting to local server
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: Tropical
    [f=-000001] [PreGame::StartServer] checksums: game=0x4C35C867 map=0x755BE16B
    [f=-000001] Warning: [UDPListener::TryBindSocket] opening socket on loopback address, other users will not be able to connect!
    [f=-000001] [UDPListener::TryBindSocket] binding UDP socket to IPv6-address ::1 (localhost) on port 8452
    [f=-000001] [UDPListener] successfully bound socket on port 8452
    [f=-000001] [~ScopedOnceTimer][PreGame::StartServer] 1591ms
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: Tropical
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using game: Balanced Annihilation $VERSION (archive: bagit.sdd)
    [f=-000001] PreGame::GameDataReceived] recording demo to "C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\demos\20180413_111241_Tropical_104.0.1-399-ga506a03 maintenance.sdfz"
    [f=-000001] [~ScopedOnceTimer][PreGame::GameDataReceived] 732ms
    [f=-000001] [PreGame::UpdateClientNet] received local player number 0 (team 0, allyteam 0), creating load-screen
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [LoadScreen::Init] single-threaded
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [load]
    [f=-000001] [Game::LoadGame][1] globalQuit=0 threaded=0
    [f=-000001] Parsing Map Information
    [f=-000001] Loading SMF
    [f=-000001] Loading Map (146 MB)
    [f=-000001] Loading GameData Definitions
    [f=-000001] [defs.lua] loading all *Defs tables: 184ms
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (GameData)] 223ms
    [f=-000001] Loading Radar Icons
    [f=-000001] Loading Sound Definitions
    [f=-000001] [Sound]  parsed 310 sounds from gamedata/sounds.lua
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (Sound)] 8ms
    [f=-000001] [Game::LoadGame][2] globalQuit=0 forcedQuit=0
    [f=-000001] Creating Smooth Height Mesh
    [f=-000001] [~ScopedOnceTimer][SmoothHeightMesh::MakeSmoothMesh] 58ms
    [f=-000001] Creating QuadField & CEGs
    [f=-000001] [Init] number of ArmorDefs: 17
    [f=-000001] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;*.obj;
    [f=-000001] Creating Unit Textures
    [f=-000001] Creating Sky
    [f=-000001] [Game::LoadGame][3] globalQuit=0 forcedQuit=0
    [f=-000001] Loading Weapon Definitions
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (WeaponDefs)] 964ms
    [f=-000001] Loading Unit Definitions
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (UnitDefs)] 74ms
    [f=-000001] Loading Feature Definitions
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (FeatureDefs)] 30ms
    [f=-000001] [IPathManager::GetInstance] using HAPFS
    [f=-000001] Initializing Map Features
    [f=-000001] Creating ShadowHandler
    [f=-000001] Creating InfoTextureHandler
    [f=-000001] InfoTexture: shaders
    [f=-000001] Creating GroundDrawer
    [f=-000001] Loading Map Tiles
    [f=-000001] Loading Square Textures
    [f=-000001] [~ScopedOnceTimer][CSMFGroundTextures::ConvolveHeightMap] 3ms
    [f=-000001] Switching to ROAM Mesh Rendering
    [f=-000001] Creating TreeDrawer
    [f=-000001] Loaded DecalsDrawer: Legacy
    [f=-000001] Creating ProjectileDrawer & UnitDrawer
    [f=-000001] Creating Projectile Textures
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "t" in "true" at index 1
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "u" in "true" at index 3
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "e" in "true" at index 4
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "t" in "true" at index 1
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "u" in "true" at index 3
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "e" in "true" at index 4
    [f=-000001] Creating Water
    [f=-000001] [Game::LoadGame][4] globalQuit=0 forcedQuit=0
    [f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Camera&Mouse)] 61ms
    [f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Console)] 1ms
    [f=-000001] Loading LuaRules
    [f=-000001] [ChickenDefense: Chicken Overseer] Deactivated!
    [f=-000001] [ChickenDefense: ProgenitorSpawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Defense Spawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Special Damage] Deactivated!
    [f=-000001] Loaded synced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=-000001] Loaded synced gadget:  Rez Exp             <unit_rez_exp.lua>
    [f=-000001] Loaded synced gadget:  Stats               <api_damage_stats.lua>
    [f=-000001] Loaded synced gadget:  ranks api           <api_ranks.lua>
    [f=-000001] Loaded synced gadget:  gaia critter units  <gaia_critters.lua>
    [f=-000001] Loaded synced gadget:  IconGenerator       <unit_icongenerator.lua>
    [f=-000001] Loaded synced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=-000001] Loaded synced gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded synced gadget:  Map TerrainTypes    <map_terraintype.lua>
    [f=-000001] Loaded synced gadget:  Map Tree Replacer   <map_tree_replacer.lua>
    [f=-000001] Loaded synced gadget:  Map Waterlevel      <map_waterlevel.lua>
    [f=-000001] Loaded synced gadget:  Newbie Info         <gui_newbie_info.lua>
    [f=-000001] Loaded synced gadget:  ARMSUB SURFACING Testing gadget  <armsubsurface.lua>
    [f=-000001] Loaded synced gadget:  Activity Broadcast  <activity_broadcast.lua>
    [f=-000001] Loaded synced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=-000001] Loaded synced gadget:  Air Transports Fix 2  <air_transports_fix2.lua>
    [f=-000001] Loaded synced gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded synced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=-000001] Loaded synced gadget:  Ally Selected Units  <cmd_selected_units.lua>
    [f=-000001] Loaded synced gadget:  Bet Engine          <cmd_bet_engine.lua>
    [f=-000001] Loaded synced gadget:  Bomber Control      <unit_bomber_control.lua>
    [f=-000001] Loaded synced gadget:  Build Icons Slowy (/luarules buildiconslow)  <dbg_buildicons_run.lua>
    [f=-000001] Loaded synced gadget:  Cancel orders on share  <unit_cancel_orders_on_share.lua>
    [f=-000001] Loaded synced gadget:  Commando Watch      <unit_commando_watch.lua>
    [f=-000001] Loaded synced gadget:  Controls Unit's maxrange  <unit_custommaxranges.lua>
    [f=-000001] Loaded synced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=-000001] Loaded synced gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=-000001] Loaded synced gadget:  Death Messages      <game_death_messages.lua>
    [f=-000001] Loaded synced gadget:  Debris Explosions   <gfx_debrisexplosions.lua>
    [f=-000001] Loaded synced gadget:  Debris physics      <feature_debris_physics.lua>
    [f=-000001] Loaded synced gadget:  Decloak when damaged  <unit_decloak_damaged.lua>
    [f=-000001] Loaded synced gadget:  Depthcharge splash  <fx_depthcharge_splash.lua>
    [f=-000001] Loaded synced gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=-000001] Loaded synced gadget:  DirectControl       <unit_direct_control.lua>
    [f=-000001] Loaded synced gadget:  Don't target flyover nukes  <unit_interceptors.lua>
    [f=-000001] Loaded synced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=-000001] Loaded synced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded synced gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=-000001] Loaded synced gadget:  Engine Hotfixes for Various Engine Kludges  <engine_hotfixes.lua>
    [f=-000001] Loaded synced gadget:  Experimental Bots Steps Damages  <unit_stomp.lua>
    [f=-000001] Loaded synced gadget:  Explosion_lights    <gfx_explosion_lights.lua>
    [f=-000001] Loaded synced gadget:  FPS Broadcast       <fps_broadcast.lua>
    [f=-000001] Loaded synced gadget:  Fido Range Fix      <unit_fidorangefix.lua>
    [f=-000001] Loaded synced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=-000001] Loaded synced gadget:  Fortification Walls  <unit_fort_walls.lua>
    [f=-000001] Loaded synced gadget:  Game End            <game_end.lua>
    [f=-000001] Loaded synced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=-000001] Loaded synced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=-000001] Loaded synced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=-000001] Loaded synced gadget:  Lua unit script framework  <unit_script.lua>
    [f=-000001] Loaded synced gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=-000001] Loaded synced gadget:  Lups Flamethrower Jitter  <lups_flame_jitter.lua>
    [f=-000001] Loaded synced gadget:  Maverick Exp        <unit_maverick_exp.lua>
    [f=-000001] Loaded synced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=-000001] Loaded synced gadget:  Missile smoke       <fx_missile_smoke.lua>
    [f=-000001] Loaded synced gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=-000001] Loaded synced gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=-000001] Loaded synced gadget:  No Share Self-D     <unit_prevent_share_self_d.lua>
    [f=-000001] Loaded synced gadget:  Nonblocking mines   <unit_nonblocking_mines.lua>
    [f=-000001] Loaded synced gadget:  On/Off descriptions  <cmd_onoffdesc.lua>
    [f=-000001] Loaded synced gadget:  Only Target Category (surface only)  <unit_onlytargetcategory.lua>
    [f=-000001] Loaded synced gadget:  Only Target Emp-able units  <unit_onlytargetempable.lua>
    [f=-000001] Loaded synced gadget:  Paralyze Damage Multiplier  <unit_paralyze_damage_multiplier.lua>
    [f=-000001] Loaded synced gadget:  Passive Builders v3  <unit_passive_builders.lua>
    [f=-000001] Loaded synced gadget:  PlasmaAutoHighTraj  <unit_plasma_auto_hightraj.lua>
    [f=-000001] Loaded synced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=-000001] Loaded synced gadget:  Prevent Excessive Share  <game_prevent_excessive_share.lua>
    [f=-000001] Loaded synced gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent Lab Hax2    <unit_prevent_lab_hax2.lua>
    [f=-000001] Loaded synced gadget:  Prevent Load Hax    <unit_prevent_load_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent Range Hax   <unit_prevent_range_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent Strange Orders  <unit_prevent_strange_orders.lua>
    [f=-000001] Loaded synced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent build Hax   <unit_preventbuildhax.lua>
    [f=-000001] Loaded synced gadget:  Prevent outside-of-map hax  <unit_prevent_aircraft_hax.lua>
    [f=-000001] Loaded synced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=-000001] Loaded synced gadget:  Reclaim effect      <gfx_reclaim_fx.lua>
    [f=-000001] Loaded synced gadget:  Remove Stop         <cmd_remove_stop.lua>
    [f=-000001] Loaded synced gadget:  Remove Wait         <cmd_remove_wait.lua>
    [f=-000001] Loaded synced gadget:  ReverseMovementHandler  <unit_reverse_move.lua>
    [f=-000001] Loaded synced gadget:  Sea bed Platforms   <unit_platforms.lua>
    [f=-000001] Loaded synced gadget:  SeaPlatforms        <unit_sea_platform.lua>
    [f=-000001] Loaded synced gadget:  Shipyards Collisions  <unit_shipyardcollisions.lua>
    [f=-000001] Loaded synced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded synced gadget:  Starburst Missile Liftoff  <fx_missile_starburst_liftoff.lua>
    [f=-000001] Loaded synced gadget:  Stealthy Passengers  <unit_stealthy_passengers.lua>
    [f=-000001] Loaded synced gadget:  Stun Control        <unit_stun_control.lua>
    [f=-000001] Loaded synced gadget:  Stun Energy Storage  <unit_stun_energy_storage.lua>
    [f=-000001] Loaded synced gadget:  Stun Metal Storage  <unit_stun_metal_storage.lua>
    [f=-000001] Loaded synced gadget:  System info         <system_info.lua>
    [f=-000001] Loaded synced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=-000001] Loaded synced gadget:  Team Resourcing     <game_team_resources.lua>
    [f=-000001] Loaded synced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=-000001] Loaded synced gadget:  Tree feller         <gfx_tree_feller.lua>
    [f=-000001] Loaded synced gadget:  TurnRadius          <unit_airunitsturnradius.lua>
    [f=-000001] Loaded synced gadget:  Unally on demand    <cmd_alliance_break.lua>
    [f=-000001] Loaded synced gadget:  Unit transportable nanos  <unit_transportable_nanos.lua>
    [f=-000001] Loaded synced gadget:  Watereffects        <fx_watersplash.lua>
    [f=-000001] Loaded synced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=-000001] Loaded synced gadget:  game_barmodels.lua  <game_barmodels.lua>
    [f=-000001] Loaded synced gadget:  game_no_share_to_enemy  <game_no_share_to_enemy.lua>
    [f=-000001] Loaded synced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=-000001] Loaded synced gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=-000001] Loaded synced gadget:  lups_cloak_fx.lua   <lups_cloak_fx.lua>
    [f=-000001] Loaded synced gadget:  lups_thrusters.lua  <lups_thrusters.lua>
    [f=-000001] Loaded synced gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=-000001] Loaded synced gadget:  mo_preventcombomb   <mo_preventcombomb.lua>
    [f=-000001] Loaded synced gadget:  subMissile splash   <fx_submissile_splash.lua>
    [f=-000001] Loaded synced gadget:  transportfix        <unit_transportfix.lua>
    [f=-000001] Loaded synced gadget:  unit_combomb_full_damage  <unit_combomb_full_damage.lua>
    [f=-000001] Loaded synced gadget:  Airbase Manager     <unit_airbase.lua>
    [f=-000001] Loaded synced gadget:  Area Attack         <unit_areaattack.lua>
    [f=-000001] Loaded synced gadget:  Control Victory     <game_controlvictory.lua>
    [f=-000001] Loaded synced gadget:  CustomUnitShaders   <api_custom_unit_shaders.lua>
    [f=-000001] Loaded synced gadget:  Give Command        <cmd_give.lua>
    [f=-000001] Loaded synced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=-000001] Loaded synced gadget:  Team Com Ends + dead allyteam blowup  <game_team_com_ends.lua>
    [f=-000001] Loaded synced gadget:  Undo Self Destruction Havoc  <cmd_undo.lua>
    [f=-000001] Loaded synced gadget:  Substitution        <game_replace_afk_players.lua>
    [f=-000001] Loaded synced gadget:  Voice Notifs        <sfx_voice_notifs_gadget.lua>
    [f=-000001] Loaded synced gadget:  resurrected param   <unit_resurrected.lua>
    [f=-000001] Loaded synced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=-000001] Loaded synced gadget:  Mobile Unit Paralyze Damage Handler  <unit_paralyze_damage_limit.lua>
    [f=-000001] Loaded synced gadget:  Lups Shield         <lups_shield.lua>
    [f=-000001] Loaded synced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=-000001] Loaded synced gadget:  Fighter radius      <unit_fighterradius.lua>
    [f=-000001] Loaded synced gadget:  Profiler            <dbg_profiler.lua>
    [f=-000001] Loaded synced gadget:  Version Warning     <version_warning.lua>
    [f=-000001] <LockCamera>: Sorry for the camera switch spam, but this is the only reliable way to list camera states other than hardcoding them
    [f=-000001] Switching to Overview style camera
    [f=-000001] Switching to Spring style camera
    [f=-000001] Switching to Free style camera
    [f=-000001] Switching to Rotatable overhead camera
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] Switching to FPS style camera
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] [ChickenDefense: Chicken Overseer] Deactivated!
    [f=-000001] [ChickenDefense: ProgenitorSpawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Defense Spawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Special Damage] Deactivated!
    [f=-000001] armfgate, 600
    [f=-000001] armgate, 550
    [f=-000001] corfgate, 600
    [f=-000001] corgate, 550
    [f=-000001] Loaded unsynced gadget:  Stats               <api_damage_stats.lua>
    [f=-000001] Loaded unsynced gadget:  ranks api           <api_ranks.lua>
    [f=-000001] Loaded unsynced gadget:  CustomIcons         <unit_customicons.lua>
    [f=-000001] Loaded unsynced gadget:  gaia critter units  <gaia_critters.lua>
    [f=-000001] Loaded unsynced gadget:  IconGenerator       <unit_icongenerator.lua>
    [f=-000001] Loaded unsynced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=-000001] Loaded unsynced gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded unsynced gadget:  Map TerrainTypes    <map_terraintype.lua>
    [f=-000001] Loaded unsynced gadget:  Map Tree Replacer   <map_tree_replacer.lua>
    [f=-000001] Loaded unsynced gadget:  Map Waterlevel      <map_waterlevel.lua>
    [f=-000001] Loaded unsynced gadget:  Newbie Info         <gui_newbie_info.lua>
    [f=-000001] Map Sun Handler: Clearing groundSpecularColor via SetSunLighting because map does not change it from default.
    [f=-000001] Loaded unsynced gadget:  Sun Handler         <map_sun_handler.lua>
    [f=-000001] Loaded unsynced gadget:  ARMSUB SURFACING Testing gadget  <armsubsurface.lua>
    [f=-000001] Loaded unsynced gadget:  Activity Broadcast  <activity_broadcast.lua>
    [f=-000001] Loaded unsynced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=-000001] Loaded unsynced gadget:  Air Transports Fix 2  <air_transports_fix2.lua>
    [f=-000001] Loaded unsynced gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded unsynced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=-000001] Loaded unsynced gadget:  Ally Selected Units  <cmd_selected_units.lua>
    [f=-000001] Loaded unsynced gadget:  Bet Engine          <cmd_bet_engine.lua>
    [f=-000001] Loaded unsynced gadget:  Build Icons Slowy (/luarules buildiconslow)  <dbg_buildicons_run.lua>
    [f=-000001] Loaded unsynced gadget:  Cancel orders on share  <unit_cancel_orders_on_share.lua>
    [f=-000001] Loaded unsynced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=-000001] Loaded unsynced gadget:  Debris Explosions   <gfx_debrisexplosions.lua>
    [f=-000001] Loaded unsynced gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=-000001] Loaded unsynced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=-000001] Loaded unsynced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded unsynced gadget:  Engine Hotfixes for Various Engine Kludges  <engine_hotfixes.lua>
    [f=-000001] Loaded unsynced gadget:  Experimental Bots Steps Damages  <unit_stomp.lua>
    [f=-000001] Loaded unsynced gadget:  Explosion_lights    <gfx_explosion_lights.lua>
    [f=-000001] Loaded unsynced gadget:  FPS Broadcast       <fps_broadcast.lua>
    [f=-000001] Loaded unsynced gadget:  Fido Range Fix      <unit_fidorangefix.lua>
    [f=-000001] Loaded unsynced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=-000001] Loaded unsynced gadget:  Fortification Walls  <unit_fort_walls.lua>
    [f=-000001] Loaded unsynced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=-000001] Loaded unsynced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=-000001] Loaded unsynced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=-000001] Loaded unsynced gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=-000001] Loaded unsynced gadget:  Lups Flamethrower Jitter  <lups_flame_jitter.lua>
    [f=-000001] Loaded unsynced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=-000001] Loaded unsynced gadget:  No Share Self-D     <unit_prevent_share_self_d.lua>
    [f=-000001] Loaded unsynced gadget:  Only Target Category (surface only)  <unit_onlytargetcategory.lua>
    [f=-000001] Loaded unsynced gadget:  Only Target Emp-able units  <unit_onlytargetempable.lua>
    [f=-000001] Loaded unsynced gadget:  PlasmaAutoHighTraj  <unit_plasma_auto_hightraj.lua>
    [f=-000001] Loaded unsynced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=-000001] Loaded unsynced gadget:  Prevent Lab Hax2    <unit_prevent_lab_hax2.lua>
    [f=-000001] Loaded unsynced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=-000001] Loaded unsynced gadget:  Prevent build Hax   <unit_preventbuildhax.lua>
    [f=-000001] Loaded unsynced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=-000001] Loaded unsynced gadget:  Reclaim effect      <gfx_reclaim_fx.lua>
    [f=-000001] Loaded unsynced gadget:  ReverseMovementHandler  <unit_reverse_move.lua>
    [f=-000001] Loaded unsynced gadget:  Sea bed Platforms   <unit_platforms.lua>
    [f=-000001] Loaded unsynced gadget:  SeaPlatforms        <unit_sea_platform.lua>
    [f=-000001] Loaded unsynced gadget:  Shipyards Collisions  <unit_shipyardcollisions.lua>
    [f=-000001] Loaded unsynced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded unsynced gadget:  System info         <system_info.lua>
    [f=-000001] Loaded unsynced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=-000001] Loaded unsynced gadget:  Thrusters           <lups_thrusters.lua>
    [f=-000001] Loaded unsynced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=-000001] Loaded unsynced gadget:  Tree feller         <gfx_tree_feller.lua>
    [f=-000001] Loaded unsynced gadget:  TurnRadius          <unit_airunitsturnradius.lua>
    [f=-000001] Loaded unsynced gadget:  Unally on demand    <cmd_alliance_break.lua>
    [f=-000001] Loaded unsynced gadget:  cmd_movefix.lua     <cmd_movefix.lua>
    [f=-000001] Loaded unsynced gadget:  cmd_onoffdesc.lua   <cmd_onoffdesc.lua>
    [f=-000001] Loaded unsynced gadget:  cmd_remove_stop.lua  <cmd_remove_stop.lua>
    [f=-000001] Loaded unsynced gadget:  cmd_remove_wait.lua  <cmd_remove_wait.lua>
    [f=-000001] Loaded unsynced gadget:  feature_debris_physics.lua  <feature_debris_physics.lua>
    [f=-000001] Loaded unsynced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=-000001] Loaded unsynced gadget:  game_barmodels.lua  <game_barmodels.lua>
    [f=-000001] Loaded unsynced gadget:  game_no_share_to_enemy  <game_no_share_to_enemy.lua>
    [f=-000001] Loaded unsynced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=-000001] Loaded unsynced gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=-000001] Loaded unsynced gadget:  mex_spot_finder.lua  <mex_spot_finder.lua>
    [f=-000001] Loaded unsynced gadget:  mo_ffa              <mo_ffa.lua>
    [f=-000001] Loaded unsynced gadget:  transportfix        <unit_transportfix.lua>
    [f=-000001] Loaded unsynced gadget:  unit_custommaxranges.lua  <unit_custommaxranges.lua>
    [f=-000001] Loaded unsynced gadget:  Airbase Manager     <unit_airbase.lua>
    [f=-000001] Loaded unsynced gadget:  Area Attack         <unit_areaattack.lua>
    [f=-000001] Loaded unsynced gadget:  Control Victory     <game_controlvictory.lua>
    [f=-000001] Loaded unsynced gadget:  CustomUnitShaders   <api_custom_unit_shaders.lua>
    [f=-000001] Loaded unsynced gadget:  Give Command        <cmd_give.lua>
    [f=-000001] Loaded unsynced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=-000001] Loaded unsynced gadget:  Undo Self Destruction Havoc  <cmd_undo.lua>
    [f=-000001] Loaded unsynced gadget:  Substitution        <game_replace_afk_players.lua>
    [f=-000001] Loaded unsynced gadget:  Voice Notifs        <sfx_voice_notifs_gadget.lua>
    [f=-000001] Loaded unsynced gadget:  resurrected param   <unit_resurrected.lua>
    [f=-000001] Loaded unsynced gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=-000001] Loaded unsynced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=-000001] Loaded unsynced gadget:  Lups Shield         <lups_shield.lua>
    [f=-000001] Loaded unsynced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=-000001] Loaded unsynced gadget:  Fighter radius      <unit_fighterradius.lua>
    [f=-000001] Loaded unsynced gadget:  Lups                <lups_wrapper.lua>
    [f=-000001] Loaded unsynced gadget:  Profiler            <dbg_profiler.lua>
    [f=-000001] Loaded unsynced gadget:  Version Warning     <version_warning.lua>
    [f=-000001] Loading LuaGaia
    [f=-000001] Loading LuaUI
    [f=-000001] LuaUI Entry Point: "luaui.lua"
    [f=-000001] LuaUI Access Lock: enabled
    [f=-000001] LuaSocket Enabled: yes
    [f=-000001] Using LUAUI_DIRNAME = LuaUI/
    [f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=-000001] LuaUI: bound F11 to the widget selector
    [f=-000001] LuaUI: bound CTRL+F11 to tweak mode
    [f=-000001] LuaUI: Disallowing User Widgets
    [f=-000001] [ChickenDefense: Chicken Team Colour] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Panel] Deactivated!
    [f=-000001] Loading widget from mod:   Spy move/reclaim defaults  <unit_default_spy_move_cloaked.lua> ...
    [f=-000001] Loading widget from mod:   Tooltip             <gui_tooltip.lua> ...
    [f=-000001] Loading widget from mod:   Widget Selector     <widget_selector.lua> ...
    [f=-000001] Loading widget from mod:   Unit Stats          <gui_unit_stats.lua> ...
    [f=-000001] Loading widget from mod:   Deferred rendering  <gfx_deferred_rendering.lua> ...
    [f=-000001] Loading widget from mod:   Red_UI_Framework    <red_ui_framework.lua> ...
    [f=-000001] Loading widget from mod:   Top Bar             <gui_top_bar.lua> ...
    [f=-000001] Loading widget from mod:   TeamStats           <gui_teamstats.lua> ...
    [f=-000001] Loading widget from mod:   Metalspot Finder    <api_metalspot_finder.lua> ...
    [f=-000001] Loading widget from mod:   Player Color Palette  <gui_player_color_palette.lua> ...
    [f=-000001] Loading widget from mod:   Shadow Quality Manager  <gfx_shadow_quality_manager.lua> ...
    [f=-000001] Set "shadows" config-parameter to 1
    [f=-000001] Loading widget from mod:   Pause Screen        <gui_pausescreen.lua> ...
    [f=-000001] Loading widget from mod:   GUI-Shader          <api_gfx_gui_shader.lua> ...
    [f=-000001] Loading widget from mod:   BA cmdcolors        <gfx_mod_cmdcolors.lua> ...
    [f=-000001] Loading widget from mod:   Defense Range       <gui_defenserange.lua> ...
    [f=-000001] Loading widget from mod:   Faction Change      <gui_faction_change.lua> ...
    [f=-000001] Loading widget from mod:   MexUpg Helper       <cmd_mex_upgrade_helper.lua> ...
    [f=-000001] Loading widget from mod:   Red Tooltip         <gui_red_tooltip.lua> ...
    [f=-000001] Loading widget from mod:   Given Units         <gui_given_units.lua> ...
    [f=-000001] Loading widget from mod:   Resurrection Halos  <gui_resurrection_halos.lua> ...
    [f=-000001] Loading widget from mod:   Self-Destruct icons  <gui_selfd_icons.lua> ...
    [f=-000001] Loading widget from mod:   Snow                <gfx_snow.lua> ...
    [f=-000001] Loading widget from mod:   Red Minimap         <gui_red_minimap.lua> ...
    [f=-000001] Loading widget from mod:   Ally Selected Units  <gui_allyselectedunits.lua> ...
    [f=-000001] Loading widget from mod:   Health Bars         <gui_healthbars.lua> ...
    [f=-000001] Loading widget from mod:   Map Info            <gui_mapinfo.lua> ...
    [f=-000001] Loading widget from mod:   Outline             <gfx_outline.lua> ...
    [f=-000001] Loading widget from mod:   AdvPlayersList      <gui_advplayerslist.lua> ...
    [f=-000001] Loading widget from mod:   AdvPlayersList info  <gui_advplayerslist_displayinfo.lua> ...
    [f=-000001] frames-per-second indicator is disabled!
    [f=-000001] small digital clock is disabled!
    [f=-000001] simulation speed indicator is disabled!
    [f=-000001] Loading widget from mod:   Discord icon        <gui_discord.lua> ...
    [f=-000001] Loading widget from mod:   Clearmapmarks button  <gui_clearmapmarks.lua> ...
    [f=-000001] Loading widget from mod:   AdvPlayersList lockcamera  <gui_advplayerslist_lockcamera.lua> ...
    [f=-000001] frames-per-second indicator is disabled!
    [f=-000001] small digital clock is disabled!
    [f=-000001] simulation speed indicator is disabled!
    [f=-000001] Loading widget from mod:   BuildETA            <gui_build_eta.lua> ...
    [f=-000001] Loading widget from mod:   Cloak Fire State 2  <unit_cloakfirestate2.lua> ...
    [f=-000001] Loading widget from mod:   Initial Queue       <unit_initial_queue.lua> ...
    [f=-000001] Loading widget from mod:   AllyCursors         <gui_ally_cursors.lua> ...
    [f=-000001] Loading widget from mod:   Alternate Chat Keys  <cmd_old_style_chat_keys.lua> ...
    [f=-000001] Loading widget from mod:   Area Mex            <cmd_area_mex.lua> ...
    [f=-000001] Loading widget from mod:   Area unload         <cmd_area_unload.lua> ...
    [f=-000001] Loading widget from mod:   Auto First Build Facing  <unit_autofirstbuildfacing.lua> ...
    [f=-000001] Loading widget from mod:   Auto Group          <unit_auto_group.lua> ...
    [f=-000001] Loading widget from mod:   Autoquit            <cmd_autoquit.lua> ...
    [f=-000001] Loading widget from mod:   BA LOS colors       <gui_ba_los_colors.lua> ...
    [f=-000001] Loading widget from mod:   Blast Radius        <gui_blast_radius.lua> ...
    [f=-000001] Loading widget from mod:   Build Split         <cmd_buildsplit.lua> ...
    [f=-000001] Loading widget from mod:   BuildBar            <gui_buildbar.lua> ...
    [f=-000001] Loading widget from mod:   Camera Remember     <camera_remember_mode.lua> ...
    [f=-000001] Loading widget from mod:   CameraFlip          <camera_flip.lua> ...
    [f=-000001] Loading widget from mod:   Com DontBreakCloak  <unit_com_dontbreakcloak.lua> ...
    [f=-000001] Loading widget from mod:   Comblast & Dgun Range  <gui_comblast_dgun_range.lua> ...
    [f=-000001] Loading widget from mod:   DontMove            <unit_dontmove.lua> ...
    [f=-000001] Loading widget from mod:   EMP + decloak range  <gui_emp_decloak_range.lua> ...
    [f=-000001] Loading widget from mod:   Easy Facing         <gui_easyfacing.lua> ...
    [f=-000001] Loading widget from mod:   Fancy Selected Units  <gui_fancy_selected_units.lua> ...
    [f=-000001] Fancy Selected Units-dev:  loaded style... 'Solid Line'
    [f=-000001] Loading widget from mod:   GameTypeInfo        <gui_game_type_info.lua> ...
    [f=-000001] Loading widget from mod:   Ghost Radar         <unit_ghostradar.lua> ...
    [f=-000001] Loading widget from mod:   Ghost Site          <unit_ghostsite.lua> ...
    [f=-000001] Loading widget from mod:   Highlight Geos      <gui_highlight_geos.lua> ...
    [f=-000001] Loading widget from mod:   Holdfire Fix        <cmd_holdfire_fix.lua> ...
    [f=-000001] Loading widget from mod:   Ignore List API     <api_ignore.lua> ...
    [f=-000001] Loading widget from mod:   ImmobileBuilder     <unit_immobile_builder.lua> ...
    [f=-000001] Loading widget from mod:   LOS View            <gfx_los_view.lua> ...
    [f=-000001] Loading widget from mod:   Light Effects       <gfx_light_effects.lua> ...
    [f=-000001] Loading widget from mod:   Load Own Moving     <unit_load_own_moving.lua> ...
    [f=-000001] Loading widget from mod:   Loop Select         <unit_loop_select.lua> ...
    [f=-000001] Loading widget from mod:   Mex Snap            <cmd_mex_snap.lua> ...
    [f=-000001] Loading widget from mod:   NoDuplicateOrders   <cmd_no_duplicate_orders.lua> ...
    [f=-000001] Loading widget from mod:   Passive builders    <unit_passive_builders.lua> ...
    [f=-000001] Loading widget from mod:   Persistent Build Spacing  <cmd_persistent_build_spacing.lua> ...
    [f=-000001] Loading widget from mod:   ReclaimInfo         <gui_reclaiminfo.lua> ...
    [f=-000001] Loading widget from mod:   Red Build/Order Menu  <gui_red_buildordermenu.lua> ...
    [f=-000001] Loading widget from mod:   Red Console (Battle and autohosts)  <gui_red_battleroom.lua> ...
    [f=-000001] Loading widget from mod:   Red Console (In-game chat only)  <gui_red_chatonlyconsole.lua> ...
    [f=-000001] Loading widget from mod:   Red_Drawing         <red_ui_framework_drawing.lua> ...
    [f=-000001] Loading widget from mod:   RelativeMinimap     <minimap_relative.lua> ...
    [f=-000001] Loading widget from mod:   Selected Units Buttons  <gui_selected_units_buttons.lua> ...
    [f=-000001] Loading widget from mod:   Share Tracker       <unit_share_tracker.lua> ...
    [f=-000001] Loading widget from mod:   Show Orders         <gui_show_orders.lua> ...
    [f=-000001] Loading widget from mod:   Smart Area Reclaim  <unit_smart_area_reclaim.lua> ...
    [f=-000001] Loading widget from mod:   SmartSelect         <unit_smart_select.lua> ...
    [f=-000001] Loading widget from mod:   SmoothCam           <camera_smoothcam.lua> ...
    [f=-000001] Loading widget from mod:   Specific Unit Reclaimer  <unit_specific_unit_reclaimer.lua> ...
    [f=-000001] Loading widget from mod:   Spectate Selected   <gui_spectate_selected.lua> ...
    [f=-000001] Loading widget from mod:   State Reverse Toggle  <cmd_state_reverse_toggle.lua> ...
    [f=-000001] Loading widget from mod:   Statistics Collection  <stats_damage.lua> ...
    [f=-000001] Loading widget from mod:   Stockpiler (dynamic)  <unit_stockpile_dynamic.lua> ...
    [f=-000001] Loading widget from mod:   Stop means Stop     <cmd_stop_selfd.lua> ...
    [f=-000001] Loading widget from mod:   Take Proxy          <cmd_take_proxy.lua> ...
    [f=-000001] Loading widget from mod:   Unit Finished Sounds  <snd_unit_finished.lua> ...
    [f=-000001] Loading widget from mod:   Volume OSD          <snd_volume_osd.lua> ...
    [f=-000001] Loading widget from mod:   gui_transport_weight_limit  <gui_transport_weight_limit.lua> ...
    [f=-000001] Loading widget from mod:   Map Edge Extension  <map_edge_extension.lua> ...
    [f=-000001] Loading widget from mod:   First launch setup  <gfx_firstlaunchsetup.lua> ...
    [f=-000001] Loading widget from mod:   Attack AoE          <gui_attack_aoe.lua> ...
    [f=-000001] Loading widget from mod:   Attack and Move Notification  <unit_attackmovenotification.lua> ...
    [f=-000001] Loading widget from mod:   BA Hotkeys          <cmd_ba_hotkeys.lua> ...
    [f=-000001] Loading widget from mod:   Context Build       <cmd_context_build.lua> ...
    [f=-000001] Loading widget from mod:   Cursors             <gfx_cursors.lua> ...
    [f=-000001] Loading widget from mod:   Ecostats            <gui_ecostats.lua> ...
    [f=-000001] Ecostats: widget loaded in active player mode
    [f=-000001] Loading widget from mod:   Prospector          <gui_prospector.lua> ...
    [f=-000001] Loading widget from mod:   Changelog Info      <gui_changelog_info.lua> ...
    [f=-000001] Loading widget from mod:   Commander Name Tags  <gui_com_nametags.lua> ...
    [f=-000001] Loading widget from mod:   Commands FX         <gui_commands_fx.lua> ...
    [f=-000001] Loading widget from mod:   Commands info       <gui_commands_info.lua> ...
    [f=-000001] Loading widget from mod:   Game info           <gui_gameinfo.lua> ...
    [f=-000001] Loading widget from mod:   Keybind/Mouse Info  <gui_keybind_info.lua> ...
    [f=-000001] Loading widget from mod:   Mapmarks FX         <gui_mapmarks_fx.lua> ...
    [f=-000001] Loading widget from mod:   Mouse FX            <gui_mouse_fx.lua> ...
    [f=-000001] Loading widget from mod:   Anti Ranges         <gui_anti_ranges.lua> ...
    [f=-000001] Loading widget from mod:   Bomber control      <unit_bomber_control.lua> ...
    [f=-000001] Loading widget from mod:   CommandInsert       <cmd_commandinsert.lua> ...
    [f=-000001] Loading widget from mod:   EnemySpotter        <gui_enemy_spotter.lua> ...
    [f=-000001] Loading widget from mod:   Highlight Unit      <gui_highlight_unit.lua> ...
    [f=-000001] Loading widget from mod:   Rank Icons          <gui_xp.lua> ...
    [f=-000001] Loading widget from mod:   Select n Center!    <gui_center_n_select.lua> ...
    [f=-000001] Loading widget from mod:   Set fighters on Fly mode  <unit_set_fighters_fly.lua> ...
    [f=-000001] Loading widget from mod:   Voice Notifs        <sfx_voice_notifs_widget.lua> ...
    [f=-000001] Loading widget from mod:   Waypoint Dragger    <unit_waypoint_dragger_2.lua> ...
    [f=-000001] Loading widget from mod:   Bloom Shader        <gfx_bloom_shader.lua> ...
    [f=-000001] Loading widget from mod:   LupsManager         <gfx_lups_manager.lua> ...
    [f=-000001] Loading widget from mod:   Tombstones          <unit_tombstones.lua> ...
    [f=-000001] Loading widget from mod:   replay buttons      <gui_replaybuttons.lua> ...
    [f=-000001] [Replay Control] Replay not detected, Shutting Down.
    [f=-000001] Loading widget from mod:   Commander Hurt Vignette  <gui_commanderhurt.lua> ...
    [f=-000001] Loading widget from mod:   Mouse Buildspacing  <gui_buildspacing.lua> ...
    [f=-000001] Loading widget from mod:   Lups                <lups_wrapper.lua> ...
    [f=-000001] Loading widget from mod:   CustomFormations2   <cmd_customformations2.lua> ...
    [f=-000001] Loading widget from mod:   Darken map          <gfx_darken_map.lua> ...
    [f=-000001] Loading widget from mod:   Options             <gui_options.lua> ...
    [f=-000001] LuaUI v0.3
    [f=-000001] [Game::LoadGame][5] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadFinalize] finalizing PFS
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] BLOCK_SIZE=16
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] PATHESTIMATOR_VERSION=92
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] heightMapChecksum=e42dbb8f
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] typeMapChecksum=a5799497
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] moveDefChecksum=18e7207d
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] blockMapChecksum=674c650
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] estimatorHashCode=a903375f
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=a903375f file="cache\104dev-maintenance/paths/Tropical.pe-a903375f.zip" (exists=1)
    [f=-000001] Reading Estimate PathCosts [16]
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] BLOCK_SIZE=32
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] PATHESTIMATOR_VERSION=92
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] heightMapChecksum=e42dbb8f
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] typeMapChecksum=a5799497
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] moveDefChecksum=18e7207d
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] blockMapChecksum=674c650
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] estimatorHashCode=a903376f
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=a903376f file="cache\104dev-maintenance/paths/Tropical.pe2-a903376f.zip" (exists=1)
    [f=-000001] Reading Estimate PathCosts [32]
    [f=-000001] [LoadFinalize] finalized PFS (966ms, checksum 5ca1ff0c)
    [f=-000001] Loading Skirmish AIs
    [f=-000001] [Game::LoadGame][6] globalQuit=0 forcedQuit=0
    [f=-000001] [LuaMemPool::LogStats][handle=LuaIntro (unsynced)] index=1 {blocks,sizes}={0,0} {int,ext,rec}Allocs={0,13733,0} {chunk,block}Bytes={0,0}
    [f=-000001] GameID: 8974d05a5bf917f74ef66b3ae53f3bc1
    [f=-000001] Connection attempt from UnnamedPlayer
    [f=-000001]  -> Version: 104.0.1-399-ga506a03 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 0)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="UnnamedPlayer" string="[PreGame::GameDataReceived][map-checksums={0x755be16b,0x755be16b}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="UnnamedPlayer" string="[PreGame::GameDataReceived][mod-checksums={0x4c35c867,0x4c35c867}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="UnnamedPlayer" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=e33727290df9dd5cd7a1a8001cb59fb0809578b04eb79450e2857be85e432ff6908d90f228a34c51fea52fca9e337d177085347206b9bdbec3ebb237144847fe]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="UnnamedPlayer" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b57a9212b6d0edc0171d4894f351e1edf45fa841c480241795e1b12653d448c695845f8dba0daf16b9a5d80279ac6fefbe5c7c62bd6b47d27a36a7113f9731f6]"
    [f=-000001] Skirmish AI "Enemy" (ID:0, Short-Name:"NullAI", Version:"0.1") took over control of team 1
    [f=-000001] Player UnnamedPlayer finished loading and is now ingame
    [f=-000001] <UnnamedPlayer> Private: My player ID is 0
    [f=-000001] <UnnamedPlayer> Private: My player ID is 0
    [f=-000001] DisableWidget(), could not find widget: External VR Grid
    [f=0000000] Set "shadows" config-parameter to 1
    [f=0000653] [QuitAction] user exited to system
    [f=0000653] [SpringApp::Kill][1] fromRun=1
    [f=0000653] [ThreadPool::SetThreadCount][1] wanted=0 current=3 maximum=4 (init=0)
    [f=0000653] 	[async=0] threads=3 tasks=4186 {sum,avg}{exec,wait}time={{-26815615859885194199148049996411692254958731641184786755447122887443528060147093953603748596333806855380063716372972101707507765623893139892867298012168192.000, 26815622324577109413407884974341666260905483461245185748663675864089524616897157132891099801910554413424824175570123733174006523280538089286450015067176960.000}, {-26815622249463452668293414503807579073811460667195016908023162339022660381378158463046170692387936610627743284284876545080356817530829664375630534748930048.000, 0.000}}ms
    [f=0000653] 		thread=1 tasks=2093 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, -2.000, -0.000}, {-0.000, 0.000, 2.000, 0.000}}ms
    [f=0000653] 		thread=2 tasks=2093 {sum,min,max,avg}{exec,wait}time={{0.000, 0.000, -0.000, 2.000}, {0.000, 0.000, 2.000, 26815622256372945974922759888553528075456404648074293651905202634908108441116605416123759687415414963299865974693689346493609923826069882579299408233365504.000}}ms
    [f=0000653] 	[async=1] threads=3 tasks=880 {sum,avg}{exec,wait}time={{-26815615859885194199148049996411692254958731641184786755447122887443528060147093953603748596333806855380063716372972101707507765623893139892867298012168192.000, 0.000}, {0.000, -0.000}}ms
    [f=0000653] 		thread=1 tasks=440 {sum,min,max,avg}{exec,wait}time={{26815615859885194199148049996411692254958731641184786755447122887443528060147093953603748596333806855380063716372972101707507765623893139892867298012168192.000, 0.000, 2.000, -2.000}, {-26815622226575570019370288241472642378967764401371618161725567905478681622003562687318900116491043062492354148832900585193424698786295456717960465979801600.000, 0.000, -0.000, -2.000}}ms
    [f=0000653] 		thread=2 tasks=440 {sum,min,max,avg}{exec,wait}time={{0.000, 0.000, 0.000, 0.000}, {-0.000, 0.000, -26815615859885194199148049996411692254958731641184786755447122887443528060147093953603748596333806855380063716372972101707507765623893139892867298012168192.000, -0.000}}ms
    [f=0000653] [ThreadPool::SetThreadCount][2] workers=0
    [f=0000653] [SpringApp::Kill][2]
    [f=0000653] [Game::KillLua][0] dtor=0 loadscreen=00000000
    [f=0000653] [Game::KillLua][3] dtor=0 luaUI=3470ff98
    [f=0000653] Red_UI_Framework>> last processed widget was "Red Tooltip"
    [f=0000653] frames-per-second indicator is enabled!
    [f=0000653] small digital clock is enabled!
    [f=0000653] simulation speed indicator is enabled!
    [f=0000653] Red_Drawing>> last processed widget was "Red Tooltip"
    [f=0000653] [LuaMemPool::LogStats][handle=LuaUI (unsynced)] index=4294967295 {blocks,sizes}={0,0} {int,ext,rec}Allocs={0,2694268,0} {chunk,block}Bytes={0,0}
    [f=0000653] [Game::KillLua][1] dtor=0 luaGaia=00000000
    [f=0000653] [Game::KillLua][2] dtor=0 luaRules=340b28d8
    [f=0000653] [LuaMemPool::LogStats][handle=LuaRules (unsynced)] index=4294967295 {blocks,sizes}={0,0} {int,ext,rec}Allocs={0,2694303,0} {chunk,block}Bytes={0,0}
    [f=0000653] [LuaMemPool::LogStats][handle=LuaRules (synced)] index=4294967295 {blocks,sizes}={0,0} {int,ext,rec}Allocs={0,2694303,0} {chunk,block}Bytes={0,0}
    [f=0000653] [Game::KillLua][4] dtor=0
    [f=0000653] [WriteDemoFile] writing client-demo "C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-399-ga506a03 maintenance\demos\20180413_111241_Tropical_104.0.1-399-ga506a03 maintenance.sdfz" (11401 bytes)
    [f=0000653] [Sound] [Sound::Kill] soundThread.joinable()=1
    [f=0000653] [WatchDog::DeregisterThread] deregistering controls for thread [audio]
    [f=0000653] [Sound] [Sound::UpdateThread][3] #sources=128 #items=15
    [f=0000653] [Sound] [Sound::UpdateThread][4] ctx=07415c80 dev=0746c730
    [f=0000653] [Sound] [Sound::UpdateThread][5] ctx=07415c80 dev=0746c730
    [f=0000653] [Sound] [Sound::Cleanup][alcDestroyContext(07415c80)]
    [f=0000653] [Sound] [Sound::Cleanup][alcCloseDevice(0746c730)]
    [f=0000653] [Sound] [Sound::UpdateThread][6]
    [f=0000653] [Game::~CGame][1]
    [f=0000653] [Game::KillLua][0] dtor=1 loadscreen=00000000
    [f=0000653] [Game::KillLua][3] dtor=1 luaUI=00000000
    [f=0000653] [Game::KillLua][1] dtor=1 luaGaia=00000000
    [f=0000653] [Game::KillLua][2] dtor=1 luaRules=00000000
    [f=0000653] [Game::KillLua][4] dtor=1
    [f=0000653] [Game::KillMisc][1]
    [f=0000653] [Game::KillMisc][2]
    [f=0000653] [Game::KillMisc][3]
    [f=0000653] [Game::KillRendering][1]
    [f=0000653] Statistics for RectangleOptimizer: 0%
    [f=0000653] [Game::KillInterface][1]
    [f=0000653] [Game::KillInterface][2]
    [f=0000653] [Game::KillSimulation][1]
    [f=0000653] [Game::KillSimulation][2]
    [f=0000653] [CCollisionHandler] dis-/continuous tests: 0/801630
    [f=0000653] [Game::KillSimulation][3]
    [f=0000653] [~CPathCache(36x40)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000653] [~CPathCache(36x40)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000653] [~CPathCache(72x80)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000653] [~CPathCache(72x80)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000653] Statistics for RectangleOptimizer: 0%
    [f=0000653] Statistics for RectangleOptimizer: 0%
    [f=0000653] LosHandler stats: total instances=5; shared=0%; from cache=20%
    [f=0000653] [Game::KillSimulation][4]
    [f=0000653] [Game::~CGame][2]
    [f=0000653] [Game::~CGame][3]
    [f=0000653] [SpringApp::Kill][3]
    [f=0000653] [LocalConnection::Statistics]
    	4443 bytes sent  
    	9749 bytes recv'd
    
    [f=0000653] [SpringApp::Kill][4] font=06ef65a0
    [f=0000653] [SpringApp::Kill][5]
    [f=0000653] [SpringApp::Kill][6]
    [SpringApp::Kill][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [SpringApp::Kill][8]
    [WatchDog::DeregisterThread] deregistering controls for thread [main]
    [WatchDog::Uninstall][1] hangDetectorThread=00fe17b0 (joinable=1)
    [WatchDog::Uninstall][2]
    [WatchDog::Uninstall][3]
    [SpringApp::Kill][9]
    
    txt file icon infolog.txt (71,695 bytes) 2018-04-13 11:14 +

-Relationships
has duplicate 0005983closedKloot Camera stuttering while moving 
+Relationships

-Notes

~0019002

Floris (reporter)

I must note that its not just inverted, it tries to go in right direction but then moves the opposite direction, jittery

~0019003

silentwings (reporter)

After further reading, it seems even wider than just SDL using software: https://www.google.co.uk/search?q=windows+1709+mouse+jitter+site:answers.microsoft.com

~0019004

silentwings (reporter)

https://hg.libsdl.org/SDL/rev/c70cf178aacb

~0019005

abma (administrator)

SDL 2.0.8 seems to contain the workarround, so updating SDL in mingwlibs should fix this issue.

~0019006

hokomoko (developer)

will do

~0019007

hokomoko (developer)

k, the libs were updated, may be necessary to force builds later

~0019008

hokomoko (developer)

Floris can you test latest maintenance?
https://springrts.com/dl/buildbot/default/maintenance/104.0.1-399-ga506a03/win32/

~0019011

Floris (reporter)

still happening

~0019012

Kloot (developer)

Last edited: 2018-04-12 23:49

View 2 revisions

does the SDL version string in your infolog actually contain 2.0.8?

~0019013

abma (administrator)

i can confirm that mingwlibs were updated / spring completely rebuild here:
https://buildbot.springrts.com/builders/full-windows-test/builds/6119/steps/build%20dir%20create/logs/stdio

>= 104.0.1-779-g13f71b9 develop

>= 104.0.1-399-ga506a03 maintenance should contain updated SDL, too

if not its a buildbot bug.

so please, whats your line in infolog.txt, for me its on linux currently ( Spring 104.0.1-151-g11de57d maintenance)
        SDL version : 2.0.8 (linked) / 2.0.1 (compiled)

~0019015

Floris (reporter)

-399:
SDL version : 2.0.8 (linked) / 2.0.8 (compiled)

included infolog

~0019016

Kloot (developer)

+static SDL_bool
+IsWin10FCUorNewer(void)
+{
+...
+if ( (info.dwMajorVersion == 10 && info.dwMinorVersion == 0 && info.dwBuildNumber >= 16299) ...) return SDL_TRUE;
+...


"Microsoft Business Edition, 64-bit (build 9200)"


Spring's OS version check code was last touched seven years ago before Windows 10 existed, but if this build number matches what SDL is seeing the patch will do nothing on your system.

~0019110

Santibag (reporter)

I opened the duplicate of this. The difference is, I have this in Microsoft Home Premium Edition, 64-bit (build 9200), as stated in my infolog file at:
https://springrts.com/mantis/view.php?id=5983

Link is the same as the relation shown above.

~0019111

Kloot (developer)

the Windows build number in infolog can be ignored, what matters is the FCU detection code in SDL 2.0.8.

again though, you should test an engine **newer than 104.0.1-399-ga506a0** to know if the SDL patch helps at all.

~0019112

Floris (reporter)

still happening for me on -517

~0019324

Kloot (developer)

Fix 9d0297acf709c8e897fece2089838da78f1bab68 committed to develop branch: fix 0005956, repo: spring changeset id: 10614

~0019325

Kloot (developer)

Fix d83f7a005aecdc2ffe2664a56d147ae4b3be371c committed to maintenance branch: fix 0005956, repo: spring changeset id: 10615

~0019326

Floris (reporter)

I tried 104.0.1.677 and its moving in the right direction now but the mouse isnt kept in the center of the screen, so the cross direction indicator is odd and the mouse wont be in center when you exit the camera-pan mode.

(there is also still another (old)problem that the camera sometime jumps to some other place when you initiate the camera pan mode)

~0019327

Kloot (developer)

Last edited: 2018-08-31 18:41

View 2 revisions

strange, the mouse center position is explicitly restored on pan-exit. try 680-gdce9dc0 later.

setting the MouseRelativeModeWarp config added in 678 to 0 might work for you (but probably will just reintroduce jitter), I can't do much more about this without getting an actual Windows development environment.

~0019328

Floris (reporter)

tried .680, the mouse position gets placed in center when exiting camera-pan mode now. The pan cursor is still wrong.

Here is a recording of it that depicts the odd camera-pan cursor and the sudden camera jump when enabling camera-pan mode at 10 and 20 secs in the video:
https://www.youtube.com/watch?v=7XlIxMQMs9Q

~0019329

Floris (reporter)

... maybe not when enabling the camera-pan mode alone, but combined with directly moving cursor any bit as well right after

~0019330

Kloot (developer)

Last edited: 2018-09-01 02:15

View 2 revisions

cursor is back to normal.

idk what causes (and couldn't reproduce) the jumping glitch, but it looks unrelated.

+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2018-04-10 23:04 Floris New Issue
2018-04-10 23:08 Floris Note Added: 0019002
2018-04-10 23:19 silentwings Note Added: 0019003
2018-04-10 23:44 silentwings Note Added: 0019004
2018-04-11 10:16 abma Note Added: 0019005
2018-04-11 13:20 hokomoko Note Added: 0019006
2018-04-11 18:30 hokomoko Note Added: 0019007
2018-04-12 18:28 hokomoko Note Added: 0019008
2018-04-12 20:42 Floris Note Added: 0019011
2018-04-12 23:47 Kloot Note Added: 0019012
2018-04-12 23:49 Kloot Note Edited: 0019012 View Revisions
2018-04-12 23:54 abma Note Added: 0019013
2018-04-13 11:14 Floris File Added: infolog.txt
2018-04-13 11:14 Floris Note Added: 0019015
2018-04-14 02:25 Kloot Note Added: 0019016
2018-05-13 21:07 Kloot Relationship added has duplicate 0005983
2018-05-13 21:21 Santibag Note Added: 0019110
2018-05-13 22:39 Kloot Note Added: 0019111
2018-05-13 22:51 Floris Note Added: 0019112
2018-08-31 16:39 Kloot Changeset attached => spring develop 9d0297ac
2018-08-31 16:39 Kloot Note Added: 0019324
2018-08-31 16:39 Kloot Assigned To => Kloot
2018-08-31 16:39 Kloot Status new => resolved
2018-08-31 16:39 Kloot Resolution open => fixed
2018-08-31 16:40 Kloot Changeset attached => spring maintenance d83f7a00
2018-08-31 16:40 Kloot Note Added: 0019325
2018-08-31 18:08 Floris Status resolved => feedback
2018-08-31 18:08 Floris Resolution fixed => reopened
2018-08-31 18:08 Floris Note Added: 0019326
2018-08-31 18:27 Kloot Note Added: 0019327
2018-08-31 18:41 Kloot Note Edited: 0019327 View Revisions
2018-08-31 21:36 Floris Note Added: 0019328
2018-08-31 21:36 Floris Status feedback => assigned
2018-08-31 21:39 Floris Note Added: 0019329
2018-09-01 02:14 Kloot Status assigned => resolved
2018-09-01 02:14 Kloot Resolution reopened => fixed
2018-09-01 02:14 Kloot Note Added: 0019330
2018-09-01 02:15 Kloot Note Edited: 0019330 View Revisions
+Issue History